#
# spec file for package rubygem-daemons
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-daemons
Version:        1.2.3
Release:        6.3
%define mod_name daemons
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/thuehlinger/daemons
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A toolkit to create and control daemons in different ways
License:        MIT
Group:          Development/Languages/Ruby

%description
Daemons provides an easy way to wrap existing ruby scripts (for example a
self-written server)  to be run as a daemon and to be controlled by simple
start/stop/restart commands.
You can also call blocks as daemons and control them from the parent or just
daemonize the current process.
Besides this basic functionality, daemons offers many advanced features like
exception backtracing and logging (in case your ruby script crashes) and
monitoring and automatic restarting of your processes if they crash.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 26 2015 coolo@suse.com
- updated to version 1.2.3
  no changelog found
* Sun Mar 22 2015 coolo@suse.com
- updated to version 1.2.2
  * fix 100%% CPU usage bug when using monitor mode.
  * increase version number to be able to re-push to rubygems
* Mon Mar  9 2015 coolo@suse.com
- updated to version 1.2.0
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Aug 10 2012 coolo@suse.com
- updated to version 1.1.9
  * daemonize.rb: do srand in the forked child process both in daemonize and call_as_daemon
* Thu Apr 14 2011 mrueckert@suse.de
- update to version 1.1.2
  * Fixed gemspec to include all needed files.
- additional changes from 1.1.1
  * Make the logging facilities work in :mode => :none (i.e. when
    calling Daemons.daemonize) (thanks to the input from Peter Hegedus).
- additional changes from 1.1.0
  * Honour the options[:app_name] in Daemons.daemonize (thanks to
    Ryan Tecco).
  * Included a new option :stop_proc to specify a proc that will be
    called when a daemonized process receives a request to stop
    (thanks to Dave Dupre).
  * Only delete the pidfile if the current pid is the original pid
    (ghazel).
  * Start when restart but no application running (pcreux).
  * Silently continue if there is no pidfile (ghazel).
  * We now per default wait for processes to stop and kill them
    automatically it if they do not stop within a given time
    (force_kill_waittime). Use the option --no_wait to not wait for
    processes to stop.
  * Set log files mode to 0644 (mikehale).
  * Set pid file permissions to 0644 (mikehale).
  * Added ability to change process uid/gid (mikehale).
  * Fix for: If you happen to start a daemon from a process that
    has open file descriptors these will stay open. As it is
    daemonize.rb only closes ruby IO objects (thanks to Han Holl).
  * New reload command (SIGHUP) (thanks to Michael Schuerig).
- split out a doc package
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Jan 21 2010 mrueckert@suse.de
- spec cleanup
* Mon Aug 25 2008 mrueckert@suse.de
- update to version 1.0.10
  * By default, we now delete stray pid-files (i.e. pid-files which
    result for example from a killed daemon) automatically. This
    function can be deactivated by passing :keep_pid_files => true
    as an option.
  * All pid files of :multiple daemons new get deleted correctly
    upon exit of the daemons (reported by Han Holl).
  * Use the signal 'KILL' instead of 'TERM' on Windows platforms.
  * Use exit! in trap('TERM') instead of exit when option
    :hard_exit is given (thanks to Han Holl).
  * Did some clarification on the exception log
* Thu Feb 21 2008 mrueckert@suse.de
- update to version 1.0.9:
  new Pid.running? function. Checking whether a process exists by
  sending signal '0' (added in 1.0.8 and fixed in 1.0.9)
* Sun Aug  5 2007 mrueckert@suse.de
- update to version 1.0.7:
  * Patch to fix wrong ARGV when using :exec (in def start_exec:
    Kernel.exec(script(), *(@app_argv || [])))
    (thanks to Alex McGuire).
* Mon May 14 2007 mrueckert@suse.de
- Update to version 1.0.6:
  * New option to pass an ARGV-style array to run and run_proc
    (thanks to Marc Evans).
  * Additional patches for '/var/log' (thanks to Marc Evans).
- additional changes from 1.0.5
  * Applied patch that makes daemons to use '/var/log' as logfile
    directory if you use :dir_mode = :system (thanks to Han Holl).
  * Daemons should now work with Ruby 1.9 (at least the basic
    features).
- additional changes from 1.0.4
  * Document the :log_output option (thanks to Andrew Kuklewicz).
  * Set STDOUT.sync = true when redirecting to a logfile
    (thanks to Andrew Kuklewicz).
  * Should now run also correctly when there is no working 'ps ax'
    on the system (thanks to Daniel Kehoe).
- additional changes from 1.0.3
  * Set the app_name correctly also for the monitor process
  (thanks to Ilya Novoselov).
* Fri Oct  6 2006 mrueckert@suse.de
- Update to version 1.0.2:
  o Changed the 'ps -ax' call back to 'ps ax'.
  o Fixed the documentation for the :normal :dir_mode.
  o As a default for Daemons.run_proc, the pid file is now saved
    in the current directory.
  o In :ontop mode for running a proc (this is equal to calling
    something like 'ruby ctrl_proc.rb run'), the proc now runs
    directly in the calling script, not in a forked process anymore
    (thanks to Paul Butcher).
  o Set $0 to app_name in the daemons (thanks to Ilya Novoselov).
* Wed Aug 30 2006 mrueckert@suse.de
- Update to version 1.0.1:
  o Fixes regexp to parse "ps ax"
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 0.4.4
